# Copyright (c) 2019 Dell Inc. or its subsidiaries. All Rights Reserved.
---
- name: Remove AWX Namespace
  k8s:
    api_version: v1
    kind: Namespace
    name: "{{ awx_namespace }}"
    state: absent

- name: Remove AWX IngressGateway Secret
  k8s:
    api_version: v1
    kind: Secret
    name: istio-ingressgateway-awx-certs
    namespace: istio-system
    state: absent

- name: Remove cluster role for awx ServiceAccount
  k8s:
    api_version: v1
    kind: ClusterRole
    name: k8s-view-ngci-awx
    state: absent

- name: Remove cluster role binding for awx ServiceAccount
  k8s:
    api_version: v1
    kind: ClusterRoleBinding
    name: k8s-view-ngci-awx-global
    state: absent